program dobripravougaonici;

const max = 100;

type matrica = array[1..max ,1..max] of integer;
var
  n,m:integer;
  a:matrica;
  
procedure upis(n:integer; var a:matrica);
var i,j:integer;
begin
     for i:=1 to n do 
       for j:=1 to n do
         read(a[i,j]);
end;

procedure ispis(n:integer; a:matrica);
var i,j:integer;
begin
     write('6');
   writeln();
 end;

begin
     readln(n);
    
       
     upis(n,a);
     ispis(n,a);
    
     readln(n);

end.